/*
 * Run a program using the supplied arguments.
 *
 * Copyright (C) 2024 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include <stdio.h>
#include <errno.h>

/* NOTE: To be provided via a header. */

extern int systemv(int, const char *[]);



/* List objects in the filesystem image. */

int main(int argc, char *argv[])
{
    int result;

    if (argc < 2)
    {
        printf("Usage: test_systemv <program> <argument>...\n");
        return 1;
    }

    printf("Running: %s\n", argv[1]);

    result = systemv(argc - 1, (const char **) argv + 1);

    if (result == -1)
        printf("Error: %d\n", errno);
    else
        printf("Result: %d\n", result);

    return 0;
}

/* vim: tabstop=4 expandtab shiftwidth=4
*/
